Index: trunk/lib/FlairCore/src/cvmatrix.cpp
===================================================================
--- trunk/lib/FlairCore/src/cvmatrix.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/cvmatrix.cpp	(revision 15)
@@ -24,166 +24,174 @@
 using std::string;
 
-namespace flair { namespace core {
-    /*! \class cvmatrixElement
-    */
-    class cvmatrixElement: public IODataElement {
-    public:
-        cvmatrixElement(const cvmatrix *matrix,string name,uint32_t row, uint32_t col):IODataElement(matrix,name) {
-            this->matrix=matrix;
-            this->row=row;
-            this->col=col;
-            if(row>=matrix->Rows() || col>=matrix->Cols()) {
-                matrix->Err("index (%i,%i) out of bound (%i,%i)\n",row,col,matrix->Rows()-1,matrix->Cols()-1);
-                size=0;
-            } else {
-                try {
-                    ScalarType const &scalarType=dynamic_cast<ScalarType const &>(matrix->GetDataType().GetElementDataType());
-                    size=scalarType.GetSize();
-                } catch (std::bad_cast e) {
-                    matrix->Err("type not handled\n");
-                    size=0;
-                }
-            }
-        }
+namespace flair {
+namespace core {
+/*! \class cvmatrixElement
+*/
+class cvmatrixElement : public IODataElement {
+public:
+  cvmatrixElement(const cvmatrix *matrix, string name, uint32_t row,
+                  uint32_t col)
+      : IODataElement(matrix, name) {
+    this->matrix = matrix;
+    this->row = row;
+    this->col = col;
+    if (row >= matrix->Rows() || col >= matrix->Cols()) {
+      matrix->Err("index (%i,%i) out of bound (%i,%i)\n", row, col,
+                  matrix->Rows() - 1, matrix->Cols() - 1);
+      size = 0;
+    } else {
+      try {
+        ScalarType const &scalarType = dynamic_cast<ScalarType const &>(
+            matrix->GetDataType().GetElementDataType());
+        size = scalarType.GetSize();
+      } catch (std::bad_cast e) {
+        matrix->Err("type not handled\n");
+        size = 0;
+      }
+    }
+  }
 
-        ~cvmatrixElement() {
-        }
+  ~cvmatrixElement() {}
 
-        void CopyData(char* dst) const {
-            if (typeid(matrix->GetDataType().GetElementDataType())==typeid(FloatType)) {
-                float value=matrix->Value(row,col);
-                memcpy(dst,&value,sizeof(value));
-            } else if (typeid(matrix->GetDataType().GetElementDataType())==typeid(SignedIntegerType)) {
-                switch(matrix->GetDataType().GetElementDataType().GetSize()) {
-                case 1: {
-                        int8_t int8Value=matrix->Value(row,col);
-                        memcpy(dst,&int8Value,1);
-                    }
-                    break;
-                case 2: {
-                        int16_t int16Value=matrix->Value(row,col);
-                        memcpy(dst,&int16Value,2);
-                    }
-                    break;
-                }
-            }
-        }
+  void CopyData(char *dst) const {
+    if (typeid(matrix->GetDataType().GetElementDataType()) ==
+        typeid(FloatType)) {
+      float value = matrix->Value(row, col);
+      memcpy(dst, &value, sizeof(value));
+    } else if (typeid(matrix->GetDataType().GetElementDataType()) ==
+               typeid(SignedIntegerType)) {
+      switch (matrix->GetDataType().GetElementDataType().GetSize()) {
+      case 1: {
+        int8_t int8Value = matrix->Value(row, col);
+        memcpy(dst, &int8Value, 1);
+      } break;
+      case 2: {
+        int16_t int16Value = matrix->Value(row, col);
+        memcpy(dst, &int16Value, 2);
+      } break;
+      }
+    }
+  }
 
-        DataType const &GetDataType(void) const {
-            return matrix->GetDataType().GetElementDataType();
-        }
+  DataType const &GetDataType(void) const {
+    return matrix->GetDataType().GetElementDataType();
+  }
 
-    private:
-        const cvmatrix *matrix;
-        uint32_t row,col;
+private:
+  const cvmatrix *matrix;
+  uint32_t row, col;
+};
 
-    };
+cvmatrix::cvmatrix(const Object *parent, uint32_t rows, uint32_t cols,
+                   ScalarType const &elementDataType, string name, uint32_t n)
+    : io_data(parent, name, n), dataType(rows, cols, elementDataType) {
+  pimpl_ = new cvmatrix_impl(this, rows, cols, elementDataType, n);
 
-cvmatrix::cvmatrix(const Object* parent,uint32_t rows, uint32_t cols, ScalarType const &elementDataType,string name,uint32_t n): io_data(parent,name,n),dataType(rows,cols,elementDataType) {
-    pimpl_=new cvmatrix_impl(this,rows,cols,elementDataType,n);
-
-    for(uint32_t i=0;i<rows;i++) {
-        for(uint32_t j=0;j<cols;j++) {
-            AppendLogDescription(pimpl_->descriptor->ElementName(i,j),elementDataType);
-            SetValue(i,j,0);
-        }
+  for (uint32_t i = 0; i < rows; i++) {
+    for (uint32_t j = 0; j < cols; j++) {
+      AppendLogDescription(pimpl_->descriptor->ElementName(i, j),
+                           elementDataType);
+      SetValue(i, j, 0);
     }
+  }
 }
 
-cvmatrix::cvmatrix(const Object* parent,const cvmatrix_descriptor *descriptor, ScalarType const &elementDataType,string name,uint32_t n): io_data(parent,name,n),dataType(descriptor->Rows(),descriptor->Cols(),elementDataType) {
-    pimpl_=new cvmatrix_impl(this,descriptor,elementDataType,n);
+cvmatrix::cvmatrix(const Object *parent, const cvmatrix_descriptor *descriptor,
+                   ScalarType const &elementDataType, string name, uint32_t n)
+    : io_data(parent, name, n),
+      dataType(descriptor->Rows(), descriptor->Cols(), elementDataType) {
+  pimpl_ = new cvmatrix_impl(this, descriptor, elementDataType, n);
 
-    for(uint32_t i=0;i<descriptor->Rows();i++) {
-        for(uint32_t j=0;j<descriptor->Cols();j++) {
-            AppendLogDescription(descriptor->ElementName(i,j),elementDataType);
-            SetValue(i,j,0);
-        }
+  for (uint32_t i = 0; i < descriptor->Rows(); i++) {
+    for (uint32_t j = 0; j < descriptor->Cols(); j++) {
+      AppendLogDescription(descriptor->ElementName(i, j), elementDataType);
+      SetValue(i, j, 0);
     }
+  }
 }
 
-cvmatrix::~cvmatrix() {
-    delete pimpl_;
+cvmatrix::~cvmatrix() { delete pimpl_; }
+
+IODataElement *cvmatrix::Element(uint32_t row, uint32_t col) const {
+  return new cvmatrixElement(this, Name(row, col), row, col);
 }
 
-IODataElement* cvmatrix::Element(uint32_t row, uint32_t col) const {
-    return new cvmatrixElement(this,Name(row,col),row,col);
-}
-
-IODataElement* cvmatrix::Element(uint32_t index) const {
-    if(Rows()==1) {
-        return new cvmatrixElement(this,Name(0,index),0,index);
-    } else if(Cols()==1) {
-        return new cvmatrixElement(this,Name(index,0),index,0);
-    } else {
-        Err("matrix is not 1D\n");
-        return nullptr;
-    }
+IODataElement *cvmatrix::Element(uint32_t index) const {
+  if (Rows() == 1) {
+    return new cvmatrixElement(this, Name(0, index), 0, index);
+  } else if (Cols() == 1) {
+    return new cvmatrixElement(this, Name(index, 0), index, 0);
+  } else {
+    Err("matrix is not 1D\n");
+    return nullptr;
+  }
 }
 
 float cvmatrix::Value(uint32_t row, uint32_t col) const {
-    float value;
+  float value;
 
-    if(row>=(uint32_t)pimpl_->mat->rows || col>=(uint32_t)pimpl_->mat->cols) {
-        Warn("index (%i,%i) out of bound (%i,%i)\n",row,col,pimpl_->mat->rows-1,pimpl_->mat->cols-1);
-        return 0;
-    }
+  if (row >= (uint32_t)pimpl_->mat->rows ||
+      col >= (uint32_t)pimpl_->mat->cols) {
+    Warn("index (%i,%i) out of bound (%i,%i)\n", row, col,
+         pimpl_->mat->rows - 1, pimpl_->mat->cols - 1);
+    return 0;
+  }
 
-    GetMutex();
-    value=cvGetReal2D(pimpl_->mat,row,col);
-    ReleaseMutex();
+  GetMutex();
+  value = cvGetReal2D(pimpl_->mat, row, col);
+  ReleaseMutex();
 
-    return value;
+  return value;
 }
 
 float cvmatrix::ValueNoMutex(uint32_t row, uint32_t col) const {
-    if(row>=(uint32_t)pimpl_->mat->rows || col>=(uint32_t)pimpl_->mat->cols) {
-        Warn("index (%i,%i) out of bound (%i,%i)\n",row,col,pimpl_->mat->rows-1,pimpl_->mat->cols-1);
-        return 0;
-    }
+  if (row >= (uint32_t)pimpl_->mat->rows ||
+      col >= (uint32_t)pimpl_->mat->cols) {
+    Warn("index (%i,%i) out of bound (%i,%i)\n", row, col,
+         pimpl_->mat->rows - 1, pimpl_->mat->cols - 1);
+    return 0;
+  }
 
-    return cvGetReal2D(pimpl_->mat,row,col);
+  return cvGetReal2D(pimpl_->mat, row, col);
 }
 
-void cvmatrix::SetValue(uint32_t row, uint32_t col,float value) {
-    if(row>=(uint32_t)pimpl_->mat->rows || col>=(uint32_t)pimpl_->mat->cols) {
-        Warn("index (%i,%i) out of bound (%i,%i)\n",row,col,pimpl_->mat->rows-1,pimpl_->mat->cols-1);
-    } else {
-        GetMutex();
-        cvSetReal2D(pimpl_->mat,row,col,value);
-        ReleaseMutex();
-    }
+void cvmatrix::SetValue(uint32_t row, uint32_t col, float value) {
+  if (row >= (uint32_t)pimpl_->mat->rows ||
+      col >= (uint32_t)pimpl_->mat->cols) {
+    Warn("index (%i,%i) out of bound (%i,%i)\n", row, col,
+         pimpl_->mat->rows - 1, pimpl_->mat->cols - 1);
+  } else {
+    GetMutex();
+    cvSetReal2D(pimpl_->mat, row, col, value);
+    ReleaseMutex();
+  }
 }
 
-void cvmatrix::SetValueNoMutex(uint32_t row, uint32_t col,float value) {
-    if(row>=(uint32_t)pimpl_->mat->rows || col>=(uint32_t)pimpl_->mat->cols) {
-        Warn("index (%i,%i) out of bound (%i,%i)\n",row,col,pimpl_->mat->rows-1,pimpl_->mat->cols-1);
-    } else {
-        cvSetReal2D(pimpl_->mat,row,col,value);
-    }
+void cvmatrix::SetValueNoMutex(uint32_t row, uint32_t col, float value) {
+  if (row >= (uint32_t)pimpl_->mat->rows ||
+      col >= (uint32_t)pimpl_->mat->cols) {
+    Warn("index (%i,%i) out of bound (%i,%i)\n", row, col,
+         pimpl_->mat->rows - 1, pimpl_->mat->cols - 1);
+  } else {
+    cvSetReal2D(pimpl_->mat, row, col, value);
+  }
 }
 
-CvMat* cvmatrix::getCvMat(void) const {
-    return pimpl_->mat;
+CvMat *cvmatrix::getCvMat(void) const { return pimpl_->mat; }
+
+void cvmatrix::CopyDatas(char *dst) const {
+  GetMutex();
+  // printf("%f %x %i\n",cvGetReal2D(pimpl_->mat,0,0),dst,Size());
+  memcpy(dst, pimpl_->mat->data.ptr, dataType.GetSize());
+  ReleaseMutex();
 }
 
-void cvmatrix::CopyDatas(char* dst) const {
-    GetMutex();
-    //printf("%f %x %i\n",cvGetReal2D(pimpl_->mat,0,0),dst,Size());
-    memcpy(dst,pimpl_->mat->data.ptr,dataType.GetSize());
-    ReleaseMutex();
-}
+uint32_t cvmatrix::Rows(void) const { return pimpl_->mat->rows; }
 
-uint32_t cvmatrix::Rows(void) const {
-    return pimpl_->mat->rows;
-}
-
-uint32_t cvmatrix::Cols(void) const {
-    return pimpl_->mat->cols;
-}
+uint32_t cvmatrix::Cols(void) const { return pimpl_->mat->cols; }
 
 string cvmatrix::Name(uint32_t row, uint32_t col) const {
-    return pimpl_->descriptor->ElementName(row,col);
+  return pimpl_->descriptor->ElementName(row, col);
 }
-
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/cvmatrix.h
===================================================================
--- trunk/lib/FlairCore/src/cvmatrix.h	(revision 14)
+++ trunk/lib/FlairCore/src/cvmatrix.h	(revision 15)
@@ -21,192 +21,199 @@
 struct CvMat;
 
-namespace flair { namespace core {
-
-    /*! \class cvmatrix
-    *
-    * \brief Class defining a matrix of kind CvMat
-    *
-    * CvMat is a matrix struct defined in OpenCV.
-    *
-    */
-    class cvmatrix: public io_data {
-    public:
-        class Type: public DataType {
-        public:
-            Type(size_t _nbRows,size_t _nbCols,ScalarType const &_elementDataType):nbRows(_nbRows),nbCols(_nbCols),elementDataType(_elementDataType) {}
-            size_t GetSize() const {
-                return nbRows*nbCols*elementDataType.GetSize();
-            }
-            std::string GetDescription() const {return "matrix";}
-            size_t GetNbRows() const {return nbRows;}
-            size_t GetNbCols() const {return nbCols;}
-            ScalarType const &GetElementDataType() const {return elementDataType;}
-
-        private:
-            size_t nbRows,nbCols;
-            ScalarType const &elementDataType;
-        };
-
-        /*!
-        * \brief Constructor
-        *
-        * Construct an io_data representing a CvMat. \n
-        * It uses a cvmatrix_descriptor to get size and elements' names. \n
-        * Names are used for graphs and logs.
-        *
-        * \param parent parent
-        * \param descriptor matrix description
-        * \param type type of matrix elements
-        * \param name name
-        * \param n number of samples
-        */
-        cvmatrix(const Object* parent,const cvmatrix_descriptor *descriptor, ScalarType const &elementDataType,std::string name="",uint32_t n=1);
-
-        /*!
-        * \brief Constructor
-        *
-        * Construct an io_data representing a CvMat. \n
-        * Elements are unamed.
-        *
-        * \param parent parent
-        * \param rows matrix rows
-        * \param cols matrix cols
-        * \param type type of matrix elements
-        * \param name name
-        * \param n number of samples
-        */
-        cvmatrix(const Object* parent,uint32_t rows, uint32_t cols, ScalarType const &elementDataType,std::string name="",uint32_t n=1);
-
-        /*!
-        * \brief Destructor
-        *
-        */
-        ~cvmatrix();
-
-        /*!
-        * \brief Element value
-        *
-        * Element is accessed by locking and unlocking the io_data Mutex.
-        *
-        * \param row element row
-        * \param col element col
-        *
-        * \return element value
-        */
-        float Value(uint32_t row, uint32_t col) const;
-
-        /*!
-        * \brief Element value
-        *
-        * Element is not accessed by locking and unlocking the io_data Mutex. \n
-        * Thus, this function should be called with Mutex locked. \n
-        * This function is usefull when multiple successive access are done to the
-        * elments of the matrix. It avoids unnecessary locking and unlocking.
-        *
-        * \param row element row
-        * \param col element col
-        *
-        * \return element value
-        */
-        float ValueNoMutex(uint32_t row, uint32_t col) const;
-
-        /*!
-        * \brief Set element value
-        *
-        * Element is accessed by locking and unlocking the io_data Mutex.
-        *
-        * \param row element row
-        * \param col element col
-        * \param value element value
-        */
-        void SetValue(uint32_t row, uint32_t col,float value);
-
-        /*!
-        * \brief Set element value
-        *
-        * Element is not accessed by locking and unlocking the io_data Mutex. \n
-        * Thus, this function should be called with Mutex locked. \n
-        * This function is usefull when multiple successive access are done to the
-        * elments of the matrix. It avoids unnecessary locking and unlocking.
-        *
-        * \param row element row
-        * \param col element col
-        * \param value element value
-        */
-        void SetValueNoMutex(uint32_t row, uint32_t col,float value);
-
-        /*!
-        * \brief get CvMat
-        *
-        * The io_data Mutex must be used by the user.
-        */
-        CvMat* getCvMat(void) const;
-
-        /*!
-        * \brief Element name
-        *
-        * If cvmatrix was created without cvmatrix_descriptor, element name is empty.
-        *
-        * \param row element row
-        * \param col element col
-        *
-        * \return element name
-        */
-        std::string Name(uint32_t row, uint32_t col) const;
-
-        /*!
-        * \brief Element
-        *
-        * Get a pointer to a specific element. This pointer can be used for plotting.
-        *
-        * \param row element row
-        * \param col element col
-        *
-        * \return pointer to the element
-        */
-        IODataElement* Element(uint32_t row, uint32_t col) const;
-
-        /*!
-        * \brief Element
-        *
-        * Get a pointer to a specific element. This pointer can be used for plotting. \n
-        * This function can be used for a 1D matrix.
-        *
-        * \param index element index
-        *
-        * \return pointer to the element
-        */
-        IODataElement* Element(uint32_t index) const;
-
-        /*!
-        * \brief Number of rows
-        *
-        * \return rows
-        */
-        uint32_t Rows(void) const;
-
-        /*!
-        * \brief Number of colomns
-        *
-        * \return colomns
-        */
-        uint32_t Cols(void) const;
-
-        Type const &GetDataType() const {return dataType;};
-
-    private:
-        /*!
-        * \brief Copy datas
-        *
-        * Reimplemented from io_data. \n
-        * See io_data::CopyDatas.
-        *
-        * \param dst destination buffer
-        */
-        void CopyDatas(char* dst) const;
-
-        class cvmatrix_impl* pimpl_;
-        Type dataType;
-    };
+namespace flair {
+namespace core {
+
+/*! \class cvmatrix
+*
+* \brief Class defining a matrix of kind CvMat
+*
+* CvMat is a matrix struct defined in OpenCV.
+*
+*/
+class cvmatrix : public io_data {
+public:
+  class Type : public DataType {
+  public:
+    Type(size_t _nbRows, size_t _nbCols, ScalarType const &_elementDataType)
+        : nbRows(_nbRows), nbCols(_nbCols), elementDataType(_elementDataType) {}
+    size_t GetSize() const {
+      return nbRows * nbCols * elementDataType.GetSize();
+    }
+    std::string GetDescription() const { return "matrix"; }
+    size_t GetNbRows() const { return nbRows; }
+    size_t GetNbCols() const { return nbCols; }
+    ScalarType const &GetElementDataType() const { return elementDataType; }
+
+  private:
+    size_t nbRows, nbCols;
+    ScalarType const &elementDataType;
+  };
+
+  /*!
+  * \brief Constructor
+  *
+  * Construct an io_data representing a CvMat. \n
+  * It uses a cvmatrix_descriptor to get size and elements' names. \n
+  * Names are used for graphs and logs.
+  *
+  * \param parent parent
+  * \param descriptor matrix description
+  * \param type type of matrix elements
+  * \param name name
+  * \param n number of samples
+  */
+  cvmatrix(const Object *parent, const cvmatrix_descriptor *descriptor,
+           ScalarType const &elementDataType, std::string name = "",
+           uint32_t n = 1);
+
+  /*!
+  * \brief Constructor
+  *
+  * Construct an io_data representing a CvMat. \n
+  * Elements are unamed.
+  *
+  * \param parent parent
+  * \param rows matrix rows
+  * \param cols matrix cols
+  * \param type type of matrix elements
+  * \param name name
+  * \param n number of samples
+  */
+  cvmatrix(const Object *parent, uint32_t rows, uint32_t cols,
+           ScalarType const &elementDataType, std::string name = "",
+           uint32_t n = 1);
+
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~cvmatrix();
+
+  /*!
+  * \brief Element value
+  *
+  * Element is accessed by locking and unlocking the io_data Mutex.
+  *
+  * \param row element row
+  * \param col element col
+  *
+  * \return element value
+  */
+  float Value(uint32_t row, uint32_t col) const;
+
+  /*!
+  * \brief Element value
+  *
+  * Element is not accessed by locking and unlocking the io_data Mutex. \n
+  * Thus, this function should be called with Mutex locked. \n
+  * This function is usefull when multiple successive access are done to the
+  * elments of the matrix. It avoids unnecessary locking and unlocking.
+  *
+  * \param row element row
+  * \param col element col
+  *
+  * \return element value
+  */
+  float ValueNoMutex(uint32_t row, uint32_t col) const;
+
+  /*!
+  * \brief Set element value
+  *
+  * Element is accessed by locking and unlocking the io_data Mutex.
+  *
+  * \param row element row
+  * \param col element col
+  * \param value element value
+  */
+  void SetValue(uint32_t row, uint32_t col, float value);
+
+  /*!
+  * \brief Set element value
+  *
+  * Element is not accessed by locking and unlocking the io_data Mutex. \n
+  * Thus, this function should be called with Mutex locked. \n
+  * This function is usefull when multiple successive access are done to the
+  * elments of the matrix. It avoids unnecessary locking and unlocking.
+  *
+  * \param row element row
+  * \param col element col
+  * \param value element value
+  */
+  void SetValueNoMutex(uint32_t row, uint32_t col, float value);
+
+  /*!
+  * \brief get CvMat
+  *
+  * The io_data Mutex must be used by the user.
+  */
+  CvMat *getCvMat(void) const;
+
+  /*!
+  * \brief Element name
+  *
+  * If cvmatrix was created without cvmatrix_descriptor, element name is empty.
+  *
+  * \param row element row
+  * \param col element col
+  *
+  * \return element name
+  */
+  std::string Name(uint32_t row, uint32_t col) const;
+
+  /*!
+  * \brief Element
+  *
+  * Get a pointer to a specific element. This pointer can be used for plotting.
+  *
+  * \param row element row
+  * \param col element col
+  *
+  * \return pointer to the element
+  */
+  IODataElement *Element(uint32_t row, uint32_t col) const;
+
+  /*!
+  * \brief Element
+  *
+  * Get a pointer to a specific element. This pointer can be used for plotting.
+  *\n
+  * This function can be used for a 1D matrix.
+  *
+  * \param index element index
+  *
+  * \return pointer to the element
+  */
+  IODataElement *Element(uint32_t index) const;
+
+  /*!
+  * \brief Number of rows
+  *
+  * \return rows
+  */
+  uint32_t Rows(void) const;
+
+  /*!
+  * \brief Number of colomns
+  *
+  * \return colomns
+  */
+  uint32_t Cols(void) const;
+
+  Type const &GetDataType() const { return dataType; };
+
+private:
+  /*!
+  * \brief Copy datas
+  *
+  * Reimplemented from io_data. \n
+  * See io_data::CopyDatas.
+  *
+  * \param dst destination buffer
+  */
+  void CopyDatas(char *dst) const;
+
+  class cvmatrix_impl *pimpl_;
+  Type dataType;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/cvmatrix_descriptor.cpp
===================================================================
--- trunk/lib/FlairCore/src/cvmatrix_descriptor.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/cvmatrix_descriptor.cpp	(revision 15)
@@ -20,48 +20,49 @@
 using std::string;
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
 cvmatrix_descriptor::cvmatrix_descriptor(uint32_t rows, uint32_t cols) {
-    this->rows=rows;
-    this->cols=cols;
+  this->rows = rows;
+  this->cols = cols;
 
-    if(rows==0 || cols==0) getFrameworkManager()->Err("rows and cols must be >0\n");
+  if (rows == 0 || cols == 0)
+    getFrameworkManager()->Err("rows and cols must be >0\n");
 
-    element_names=(string**)malloc(rows*cols*sizeof(string*));
-    for(uint32_t i=0; i<rows*cols; i++) {
-        element_names[i]=new string();
-    }
+  element_names = (string **)malloc(rows * cols * sizeof(string *));
+  for (uint32_t i = 0; i < rows * cols; i++) {
+    element_names[i] = new string();
+  }
 }
 
 cvmatrix_descriptor::~cvmatrix_descriptor() {
-    for(uint32_t i=0; i<rows*cols; i++) {
-        delete element_names[i];
-    }
-    free(element_names);
+  for (uint32_t i = 0; i < rows * cols; i++) {
+    delete element_names[i];
+  }
+  free(element_names);
 }
 
-void cvmatrix_descriptor::SetElementName(uint32_t row, uint32_t col,string name) {
-    if(row>=rows || col>=cols) {
-        getFrameworkManager()->Err("index out of bound %s (%i,%i), range (%i,%i)\n",name.c_str(),row,col,rows-1,cols-1);
-        return;
-    }
-    *element_names[row*cols+col]=name;
+void cvmatrix_descriptor::SetElementName(uint32_t row, uint32_t col,
+                                         string name) {
+  if (row >= rows || col >= cols) {
+    getFrameworkManager()->Err("index out of bound %s (%i,%i), range (%i,%i)\n",
+                               name.c_str(), row, col, rows - 1, cols - 1);
+    return;
+  }
+  *element_names[row * cols + col] = name;
 }
 
 string cvmatrix_descriptor::ElementName(uint32_t row, uint32_t col) const {
-    if(row>=rows || col>=cols) {
-        getFrameworkManager()->Err("index out of bound (%i,%i), range (%i,%i)\n",row,col,rows-1,cols-1);
-        return *element_names[0];//safe value...
-    }
-    return *element_names[row*cols+col];
+  if (row >= rows || col >= cols) {
+    getFrameworkManager()->Err("index out of bound (%i,%i), range (%i,%i)\n",
+                               row, col, rows - 1, cols - 1);
+    return *element_names[0]; // safe value...
+  }
+  return *element_names[row * cols + col];
 }
 
-uint32_t cvmatrix_descriptor::Rows() const {
-    return rows;
-}
+uint32_t cvmatrix_descriptor::Rows() const { return rows; }
 
-uint32_t cvmatrix_descriptor::Cols() const {
-    return cols;
-}
+uint32_t cvmatrix_descriptor::Cols() const { return cols; }
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/cvmatrix_descriptor.h
===================================================================
--- trunk/lib/FlairCore/src/cvmatrix_descriptor.h	(revision 14)
+++ trunk/lib/FlairCore/src/cvmatrix_descriptor.h	(revision 15)
@@ -16,70 +16,69 @@
 #include <string>
 
-namespace flair { namespace core
-{
+namespace flair {
+namespace core {
 
-    /*! \class cvmatrix_descriptor
-    *
-    * \brief Class describing cvmatrix elements, for log and graphs purpose
-    *
-    * This class allows to give a name to matrix elements. These names
-    * will be used in graphs and logs.
-    */
-    class cvmatrix_descriptor {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a matrix descriptor.
-            *
-            * \param rows matrix rows
-            * \param cols matrix cols
-            */
-            cvmatrix_descriptor(uint32_t rows, uint32_t cols);
+/*! \class cvmatrix_descriptor
+*
+* \brief Class describing cvmatrix elements, for log and graphs purpose
+*
+* This class allows to give a name to matrix elements. These names
+* will be used in graphs and logs.
+*/
+class cvmatrix_descriptor {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a matrix descriptor.
+  *
+  * \param rows matrix rows
+  * \param cols matrix cols
+  */
+  cvmatrix_descriptor(uint32_t rows, uint32_t cols);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~cvmatrix_descriptor();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~cvmatrix_descriptor();
 
-            /*!
-            * \brief Set element name
-            *
-            * \param row element row
-            * \param col element col
-            * \param name element name
-            */
-            void SetElementName(uint32_t row, uint32_t col,std::string name);
+  /*!
+  * \brief Set element name
+  *
+  * \param row element row
+  * \param col element col
+  * \param name element name
+  */
+  void SetElementName(uint32_t row, uint32_t col, std::string name);
 
-            /*!
-            * \brief Element name
-            *
-            * \param row element row
-            * \param col element col
-            *
-            * \return element name
-            */
-            std::string ElementName(uint32_t row, uint32_t col) const;
+  /*!
+  * \brief Element name
+  *
+  * \param row element row
+  * \param col element col
+  *
+  * \return element name
+  */
+  std::string ElementName(uint32_t row, uint32_t col) const;
 
-            /*!
-            * \brief Number of rows
-            *
-            * \return rows
-            */
-            uint32_t Rows(void) const;
+  /*!
+  * \brief Number of rows
+  *
+  * \return rows
+  */
+  uint32_t Rows(void) const;
 
-            /*!
-            * \brief Number of colomns
-            *
-            * \return colomns
-            */
-            uint32_t Cols(void) const;
+  /*!
+  * \brief Number of colomns
+  *
+  * \return colomns
+  */
+  uint32_t Cols(void) const;
 
-        private:
-            uint32_t rows,cols;
-            std::string **element_names;
-
-    };
+private:
+  uint32_t rows, cols;
+  std::string **element_names;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/cvmatrix_impl.cpp
===================================================================
--- trunk/lib/FlairCore/src/cvmatrix_impl.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/cvmatrix_impl.cpp	(revision 15)
@@ -24,46 +24,56 @@
 using namespace flair::core;
 
-cvmatrix_impl::cvmatrix_impl(cvmatrix* self,int rows, int cols,flair::core::ScalarType const &_elementDataType,int n):elementDataType(_elementDataType) {
-    descriptor=new cvmatrix_descriptor(rows,cols);
-    Init(self,n);
+cvmatrix_impl::cvmatrix_impl(cvmatrix *self, int rows, int cols,
+                             flair::core::ScalarType const &_elementDataType,
+                             int n)
+    : elementDataType(_elementDataType) {
+  descriptor = new cvmatrix_descriptor(rows, cols);
+  Init(self, n);
 }
 
-cvmatrix_impl::cvmatrix_impl(cvmatrix* self,const cvmatrix_descriptor *descriptor,flair::core::ScalarType const &_elementDataType,int  n):elementDataType(_elementDataType) {
-    this->descriptor=descriptor;
-    Init(self,n);
+cvmatrix_impl::cvmatrix_impl(cvmatrix *self,
+                             const cvmatrix_descriptor *descriptor,
+                             flair::core::ScalarType const &_elementDataType,
+                             int n)
+    : elementDataType(_elementDataType) {
+  this->descriptor = descriptor;
+  Init(self, n);
 }
 
-void cvmatrix_impl::Init(cvmatrix* self,int n) {
-    this->self=self;
+void cvmatrix_impl::Init(cvmatrix *self, int n) {
+  this->self = self;
 
-    mat=nullptr;
-    try {
-        ScalarType const &scalarType=dynamic_cast<ScalarType const &>(elementDataType);
-        if (typeid(scalarType)==typeid(FloatType)) {
-            mat=cvCreateMat(descriptor->Rows(),descriptor->Cols(),CV_32FC1);
-        } else if (typeid(scalarType)==typeid(SignedIntegerType)) {
-            switch(elementDataType.GetSize()) {
-            case 1:
-                mat=cvCreateMat(descriptor->Rows(),descriptor->Cols(),CV_8SC1);
-                break;
-            case 2:
-                mat=cvCreateMat(descriptor->Rows(),descriptor->Cols(),CV_16SC1);
-                break;
-            default:
-                self->Err("unsupported integer scalar type\n");
-            }
-        } else {
-            self->Err("unsupported scalar type\n");
-        }
-    } catch(std::bad_cast e) {
-        self->Err("type is not a scalar\n");
+  mat = nullptr;
+  try {
+    ScalarType const &scalarType =
+        dynamic_cast<ScalarType const &>(elementDataType);
+    if (typeid(scalarType) == typeid(FloatType)) {
+      mat = cvCreateMat(descriptor->Rows(), descriptor->Cols(), CV_32FC1);
+    } else if (typeid(scalarType) == typeid(SignedIntegerType)) {
+      switch (elementDataType.GetSize()) {
+      case 1:
+        mat = cvCreateMat(descriptor->Rows(), descriptor->Cols(), CV_8SC1);
+        break;
+      case 2:
+        mat = cvCreateMat(descriptor->Rows(), descriptor->Cols(), CV_16SC1);
+        break;
+      default:
+        self->Err("unsupported integer scalar type\n");
+      }
+    } else {
+      self->Err("unsupported scalar type\n");
     }
+  } catch (std::bad_cast e) {
+    self->Err("type is not a scalar\n");
+  }
 
-    if(mat==nullptr) self->Err("allocating matrix failed\n");
-    if(n>1) self->Warn("n>1 not supported\n");
+  if (mat == nullptr)
+    self->Err("allocating matrix failed\n");
+  if (n > 1)
+    self->Warn("n>1 not supported\n");
 }
 
 cvmatrix_impl::~cvmatrix_impl() {
-    cvReleaseMat(&mat);
-    delete descriptor;
+  cvReleaseMat(&mat);
+  delete descriptor;
 }
